Index: python/COMMANDS
===================================================================
--- python/COMMANDS	(revision 222aa11adf53657adfc8efd6a35ab83b1efb0688)
+++ python/COMMANDS	(revision 222aa11adf53657adfc8efd6a35ab83b1efb0688)
@@ -0,0 +1,16 @@
+./install.py --target=ecgate --ecuid=km4a --ecgid=at --gateway=srvx8.img.univie.ac.at --destination=annep@genericSftp 
+
+./submit.py --queue=ecgate --start_date=20160809 --debug=True
+
+firefox  SphinxDoc/_build/html/index.html  &
+
+./plot_retrieved.py --start_date=2016080906 --inputdir=../work2/ --paramIds=131 --end_date=2016080909 --prefix=EI --levelist=59/60
+
+./prepareFLEXPART.py --start_date=20010809 --debug=1 --controlfile=CONTROL_CERA.test --ppid=1411 --inputdir=../work2/
+
+find ./ -name \*.py -exec sed -i 's/Disagg/disaggregation/g' {} \;
+
+
+pyreserve *.py # on s1
+dot -Tpng packages.dot -O #on s8
+dot -Tpng classes.dot -O #on s8
Index: python/CONTROL.test
===================================================================
--- python/CONTROL.test	(revision 54a8a01d975ad8c2dea60c93439d9bc0ef426132)
+++ python/CONTROL.test	(revision 222aa11adf53657adfc8efd6a35ab83b1efb0688)
@@ -7,9 +7,9 @@
 EXPVER 1
 GRID 5000  
-LEFT -15000
+LEFT -10000
 LOWER 30000
-UPPER 75000
-RIGHT 45000
-LEVELIST 55/to/60
+UPPER 40000
+RIGHT 10000
+LEVELIST 59/to/60
 RESOL 63
 GAUSS 1
Index: python/_config.py
===================================================================
--- python/_config.py	(revision dda0e9deecb939467ef6d43f7ceb822d7eaee6b0)
+++ python/_config.py	(revision 222aa11adf53657adfc8efd6a35ab83b1efb0688)
@@ -29,10 +29,22 @@
 
 # add path to pythonpath
-LOCAL_PYTHON_PATH = os.path.dirname(os.path.abspath(
+PATH_LOCAL_PYTHON = os.path.dirname(os.path.abspath(
     inspect.getfile(inspect.currentframe())))
-if LOCAL_PYTHON_PATH not in sys.path:
-    sys.path.append(LOCAL_PYTHON_PATH)
+if PATH_LOCAL_PYTHON not in sys.path:
+    sys.path.append(PATH_LOCAL_PYTHON)
+
+PATH_FLEXEXTRACT_DIR = os.path.normpath(os.path.dirname(os.path.abspath(
+    inspect.getfile(inspect.currentframe()))) + '/../')
+
+PATH_TEMPLATES = os.path.join(PATH_FLEXEXTRACT_DIR + os.path.sep +
+                              '_templates')
 
 # path to gribtable
-PATH_GRIBTABLE = LOCAL_PYTHON_PATH + '/templates/ecmwf_grib1_table_128'
+PATH_GRIBTABLE = os.path.join(PATH_TEMPLATES + os.path.sep +
+                              'ecmwf_grib1_table_128')
 
+PATH_RUN_DIR = os.path.join(PATH_FLEXEXTRACT_DIR + os.path.sep +
+                                'run')
+
+PATH_CONTROLFILES = os.path.join(PATH_RUN_DIR + os.path.sep +
+                                'control')
Index: python/install.py
===================================================================
--- python/install.py	(revision 97e09f41b8bac3d39d7f1b0c0fd09cdcfd710d58)
+++ python/install.py	(revision 222aa11adf53657adfc8efd6a35ab83b1efb0688)
@@ -263,5 +263,5 @@
                                ecd + 'python/*temp* ' +
                                ecd + 'python/ECMWF_ENV ' +
-                               ecd + 'grib_templates ' +
+                               ecd + '_templates ' +
                                ecd + 'src/*.f ' +
                                ecd + 'src/*.f90 ' +
Index: python/job.ksh
===================================================================
--- python/job.ksh	(revision 54a8a01d975ad8c2dea60c93439d9bc0ef426132)
+++ python/job.ksh	(revision 222aa11adf53657adfc8efd6a35ab83b1efb0688)
@@ -68,5 +68,5 @@
 ectrans 1
 ecuid km4a
-end_date 20000101
+end_date 20100606
 eta 0
 etadiff 0
@@ -81,7 +81,7 @@
 install_target None
 job_template job.temp
-left -15000
+left -10000
 level 60
-levelist 55/to/60
+levelist 59/to/60
 lower 30000
 mailfail ${USER} 
@@ -97,12 +97,12 @@
 queue ecgate
 resol 63
-right 45000
+right 10000
 smooth 0
-start_date 20000101
+start_date 20100606
 step 00 01 02 03 04 05 00 07 08 09 10 11 00 01 02 03 04 05 00 07 08 09 10 11 
 stream OPER
 time 00 00 00 00 00 00 06 00 00 00 00 00 12 12 12 12 12 12 18 12 12 12 12 12 
 type AN FC FC FC FC FC AN FC FC FC FC FC AN FC FC FC FC FC AN FC FC FC FC FC 
-upper 75000
+upper 40000
 wrf 0
 EOF
Index: python/pythontest/.cache/v/cache/lastfailed
===================================================================
--- python/pythontest/.cache/v/cache/lastfailed	(revision 308e144ffdf58bb9765f94134630f9bdd0dada7d)
+++ python/pythontest/.cache/v/cache/lastfailed	(revision 222aa11adf53657adfc8efd6a35ab83b1efb0688)
@@ -1,5 +1,3 @@
 {
-  "TestTools.py::TestTools::()": true, 
-  "TestTools.py::TestTools::()::test_failany_silent_remove": true, 
   "TestTools.py::TestTools::test_init128": true, 
   "TestTools.py::TestTools::test_to_param_id": true
Index: python/pythontest/.coverage
===================================================================
--- python/pythontest/.coverage	(revision 222aa11adf53657adfc8efd6a35ab83b1efb0688)
+++ python/pythontest/.coverage	(revision 222aa11adf53657adfc8efd6a35ab83b1efb0688)
@@ -0,0 +1,1 @@
+!coverage.py: This is a private format, don't read it directly!{"lines":{"/raid60/nas/tmc/Anne/Interpolation/flexextract/flexextract/python/test_suite.py":[],"/raid60/nas/tmc/Anne/Interpolation/flexextract/flexextract/python/_config.py":[32,33,37,24,25,26,28,31],"/raid60/nas/tmc/Anne/Interpolation/flexextract/flexextract/python/MarsRetrieval.py":[],"/raid60/nas/tmc/Anne/Interpolation/flexextract/flexextract/python/install.py":[],"/raid60/nas/tmc/Anne/Interpolation/flexextract/flexextract/python/get_mars_data.py":[],"/raid60/nas/tmc/Anne/Interpolation/flexextract/flexextract/python/testecmwfapi.py":[],"/raid60/nas/tmc/Anne/Interpolation/flexextract/flexextract/python/EcFlexpart.py":[],"/raid60/nas/tmc/Anne/Interpolation/flexextract/flexextract/python/profiling.py":[],"/raid60/nas/tmc/Anne/Interpolation/flexextract/flexextract/python/pythontest/TestInput.py":[],"/raid60/nas/tmc/Anne/Interpolation/flexextract/flexextract/python/plot_retrieved.py":[],"/raid60/nas/tmc/Anne/Interpolation/flexextract/flexextract/python/ControlFile.py":[],"/raid60/nas/tmc/Anne/Interpolation/flexextract/flexextract/python/submit.py":[],"/raid60/nas/tmc/Anne/Interpolation/flexextract/flexextract/python/pythontest/__init__.py":[13],"/raid60/nas/tmc/Anne/Interpolation/flexextract/flexextract/python/pythontest/TestTools.py":[4,5,6,7,8,10,11,12,18,20,22,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,59,61,63,64,65,67,68,70,71,72,73,74,76,77,78,79,80,82,83,84,85,86,88,90,92,94,96,97,99,100,102,103,104,105,106,107,108,110,111,112,113,114,115,117,126,127,128,129,131,139,140,141,142,143,145,146,147,148,149,151,152,153,154,155,157,158,159,160,161,162,163,164,166,167,168,169,170,171,173,175,176,177,178,182,183,184,185,186,188,189,190,193],"/raid60/nas/tmc/Anne/Interpolation/flexextract/flexextract/python/disaggregation.py":[],"/raid60/nas/tmc/Anne/Interpolation/flexextract/flexextract/python/pythontest/TestPathes.py":[],"/raid60/nas/tmc/Anne/Interpolation/flexextract/flexextract/python/GribTools.py":[],"/raid60/nas/tmc/Anne/Interpolation/flexextract/flexextract/python/prepare_flexpart.py":[],"/raid60/nas/tmc/Anne/Interpolation/flexextract/flexextract/python/tools.py":[517,518,519,520,521,522,523,524,526,527,529,50,51,52,53,54,55,56,62,76,77,78,81,82,83,84,85,86,89,90,91,92,93,94,95,96,99,100,101,102,103,104,107,110,112,115,116,117,118,120,121,122,123,124,125,127,129,131,144,145,146,147,148,149,151,153,191,210,213,214,215,216,217,218,219,220,221,222,223,224,229,230,232,237,279,315,328,329,330,331,335,338,353,354,355,356,357,358,360,363,386,387,388,389,390,391,392,396,398,416,418,420,433,434,435,436,438,440,442,444,476,477,478,481,482,483,484,485,486,488,489,491,493],"/raid60/nas/tmc/Anne/Interpolation/flexextract/flexextract/python/pythontest/TestEcFlexpart.py":[],"/raid60/nas/tmc/Anne/Interpolation/flexextract/flexextract/python/pythontest/TestUIOFiles.py":[],"/raid60/nas/tmc/Anne/Interpolation/flexextract/flexextract/python/pythontest/TestInstall.py":[],"/raid60/nas/tmc/Anne/Interpolation/flexextract/flexextract/python/UioFiles.py":[]}}
Index: python/pythontest/TestInput.py
===================================================================
--- python/pythontest/TestInput.py	(revision 067a0c3eeb734b9049d528b281749659a81b4ad2)
+++ python/pythontest/TestInput.py	(revision 222aa11adf53657adfc8efd6a35ab83b1efb0688)
@@ -5,4 +5,5 @@
 import os
 import sys
+
 sys.path.append('../python')
 from ControlFile import ControlFile
Index: python/pythontest/TestPathes.py
===================================================================
--- python/pythontest/TestPathes.py	(revision dda0e9deecb939467ef6d43f7ceb822d7eaee6b0)
+++ python/pythontest/TestPathes.py	(revision 222aa11adf53657adfc8efd6a35ab83b1efb0688)
@@ -9,4 +9,17 @@
 import _config
 
+def test_path_localpython():
+    assert os.path.exists(_config.PATH_LOCAL_PYTHON) == 1
+
+def test_path_flexextract():
+    assert os.path.exists(_config.PATH_FLEXEXTRACT_DIR) == 1
+
+def test_path_flexextract_name():
+    version = _config._VERSION_STR
+    flexextract_name = 'flex_extract_v' + version
+    assert os.path.basename(_config.PATH_FLEXEXTRACT_DIR) == flexextract_name
+
+def test_path_templates():
+    assert os.path.exists(_config.PATH_TEMPLATES) == 1
 
 def test_path_vtable():
@@ -16,2 +29,7 @@
     assert os.path.isfile(_config.PATH_GRIBTABLE) == 1
 
+def test_path_run():
+    assert os.path.exists(_config.PATH_RUN_DIR) == 1
+
+def test_path_control():
+    assert os.path.exists(_config.PATH_CONTROLFILES) == 1
Index: python/pythontest/TestTools.py
===================================================================
--- python/pythontest/TestTools.py	(revision 308e144ffdf58bb9765f94134630f9bdd0dada7d)
+++ python/pythontest/TestTools.py	(revision 222aa11adf53657adfc8efd6a35ab83b1efb0688)
@@ -24,6 +24,4 @@
 
     def test_get_cmdline_arguments(self):
-        '''
-        '''
         cmd_dict_control = {'start_date':'20180101',
                             'end_date':'20180101',
@@ -64,6 +62,4 @@
 
     def test_init128(self):
-        '''
-        '''
         table128 = init128(_config.PATH_GRIBTABLE)
         expected = {'078': 'TCLW', '130': 'T', '034': 'SST'}
@@ -73,6 +69,4 @@
 
     def test_to_param_id(self):
-        '''
-        '''
         table128 = init128(_config.PATH_GRIBTABLE)
         pars = to_param_id("T/SP/LSP/SSHF", table128)
@@ -81,6 +75,4 @@
 
     def test_my_error(self):
-        '''
-        '''
         with pytest.raises(SystemExit) as pytest_wrapped_e:
             my_error(['${USER}', 'anne.philipp@univie.ac.at'], 'Failed!')
@@ -89,6 +81,4 @@
 
     def test_read_ecenv(self):
-        '''
-        '''
         envs_ref = {'ECUID': 'km4a',
                     'ECGID': 'at',
@@ -101,4 +91,5 @@
 
     def test_clean_up(self):
+
         assert True
 
@@ -123,15 +114,26 @@
         assert os.path.isfile(testfile) == False
         assert out == ''
-#
-#    def test_failany_silent_remove(self):
-#        testfile = 'testfileany.test'
-#        with pytest.raises(OSError) as pytest_wrapped_e:
-#            silent_remove(testfile)
-#        #out, err = capfd.readouterr()
-#        #assert os.path.isfile(testfile) == False
-#        #assert out == ''
 
-    def test_get_list_as_string(self):
-        assert True
+    @pytest.mark.skip(reason="no way of currently testing this")
+    def test_failany_silent_remove(self):
+        testfile = 'testfileany.test'
+        with pytest.raises(OSError) as pytest_wrapped_e:
+            silent_remove(testfile)
+        #out, err = capfd.readouterr()
+        #assert os.path.isfile(testfile) == False
+        #assert out == ''
+
+    def test_success_get_list_as_string(self):
+        list_object =  [1, 2, 3, '...', 'testlist']
+        list_as_string = '1, 2, 3, ..., testlist'
+        assert list_as_string == get_list_as_string(list_object)
+
+    @pytest.mark.skip(reason="no way of currently testing this")
+    def test_fail_get_list_as_string(self):
+        list_object =  [1, 2, 3, '...', 'testlist']
+        list_as_string = '1, 2, 3, ..., testlist'
+        with pytest.raises(Exception) as pytest_wrapped_e:
+            result = get_list_as_string(list_object)
+        assert result == list_as_string
 
     def test_warningexist_make_dir(self, capfd):
Index: python/submit.py
===================================================================
--- python/submit.py	(revision 763fcf62a1b769e8d1c04c73b82419768cb4f1df)
+++ python/submit.py	(revision 222aa11adf53657adfc8efd6a35ab83b1efb0688)
@@ -81,5 +81,5 @@
     except IOError:
         try:
-            c = ControlFile(LOCAL_PYTHON_PATH + args.controlfile)
+            c = ControlFile(_config.PATH_LOCAL_PYTHON + args.controlfile)
         except IOError:
             print 'Could not read CONTROL file "' + args.controlfile + '"'
Index: python/templates/ecmwf_grib1_table_128
===================================================================
--- python/templates/ecmwf_grib1_table_128	(revision dda0e9deecb939467ef6d43f7ceb822d7eaee6b0)
+++ 	(revision )
@@ -1,197 +1,0 @@
-! 
-! ECMWFGRIB128.TBL -- GRIB 2 parameter conversion table version 128 
-!
-!ID# NAME                             UNITS                GNAM         SCALE   MISSING 
-!
-001 Stream function                   m**2 s**-1           STRF             0  -9999.00
-002 Velocity potential                m**2 s**-1           VPOT             0  -9999.00
-003 Potential temperature             K                    THTA             0  -9999.00
-004 Equivalent potential temperature  K                    THTE             0  -9999.00
-005 Saturated eq. pot. temperature    K                    STHE             0  -9999.00
-!006-010 Reserved for Metview
-011 U component of divergent wind     m s**-1              UDVW             0  -9999.00
-012 V component of divergent wind     m s**-1              VDVW             0  -9999.00
-013 U component of rotational wind    m s**-1              URTW             0  -9999.00
-014 V component of rotational wind    m s**-1              VRTW             0  -9999.00
-!015-020 Reserved for Metview
-021 Unbalanced component of temp.     K                    UCTP             0  -9999.00
-022 Unbal. comp. of log surface pres  ln(Pa)               UCLN             0  -9999.00
-023 Unbal. comp. of divergence        s**-1                UCDV             0  -9999.00
-024 Reserved for future unbal. comp.  -                    X                0  -9999.00
-023 Reserved for future unbal. comp.  -                    X                0  -9999.00
-026 Lake cover (0-1)                  fraction             CL               0  -9999.00
-027 Low vegetation cover (0-1)        fraction             CVL              0  -9999.00
-028 High vegetation cover (0-1)       fraction             CVH              0  -9999.00
-029 Type of low vegetation            type                 TVL              0  -9999.00
-030 Type of high vegetation           type                 TVH              0  -9999.00
-031 Sea-ice cover (0-1)               fraction             CI               0  -9999.00
-032 Snow albedo (0-1)                 fraction             ASN              0  -9999.00
-033 Snow density                      kg m**-3             RSN              0  -9999.00
-034 Sea surface temperature           K                    SST              0  -9999.00
-035 Ice surface temperature layer 1   K                    ISTL1            0  -9999.00
-036 Ice surface temperature layer 2   K                    ISTL2            0  -9999.00
-037 Ice surface temperature layer 3   K                    ISTL3            0  -9999.00
-038 Ice surface temperature layer 4   K                    ISTL4            0  -9999.00
-039 Volumetric soil water layer 1     m**3 m**3            SWVL1            0  -9999.00
-040 Volumetric soil water layer 2     m**3 m**3            SWVL2            0  -9999.00
-041 Volumetric soil water layer 3     m**3 m**3            SWVL3            0  -9999.00
-042 Volumetric soil water layer 4     m**3 m**3            SWVL4            0  -9999.00
-043 Soil type                         type                 SLT              0  -9999.00
-044 Snow evaporation                  m (H2O)              ES               0  -9999.00
-045 Snowmelt                          m (H2)               SMLT             0  -9999.00
-046 Solar duration                    s                    SDUR             0  -9999.00
-047 Direct solar radiation            W m**-2              DSRP             0  -9999.00
-048 Magnitude of surface stress       N m**-2 s            MAGSS            0  -9999.00
-049 10 metre wind gust                m s**-1              10FG             0  -9999.00
-050 Large-scale precip. fraction      s                    SLPF             0  -9999.00
-051 Maximum 2 metre temperature       K                    MX2T24           0  -9999.00
-052 Minimum 2 metre temperature       K                    MN2T24           0  -9999.00
-053 Montgomery potential              m**2 s**-2           MONT             0  -9999.00
-054 Pressure                          Pa                   PRES             0  -9999.00
-055 Mean 2m temp.in past 24 hours     K                    MN2T24           0  -9999.00
-056 Mean 2m dewpt. temp. in past 24h  K                    MN2D24           0  -9999.00
-057 Downward UV radiation at sfc.     W m**-2 s            UVB              0  -9999.00
-058 Photo. active rad. at sfc.        W m**-2 s            PAR              0  -9999.00
-059 Convective available pot. energy  J kg**-1             CAPE             0  -9999.00
-060 Potential vorticity               K m**2 kg**-1 s**-1  PVOR             0  -9999.00
-061 Total precipitation from obs.     mm*100+Nobs          TPO              0  -9999.00
-062 Observation count                 count                OBCT             0  -9999.00
-063 Start time for skin temp. diff.   s                    TSDIFS           0  -9999.00
-064 Finish time for skin temp. diff.  s                    TSDIFE           0  -9999.00
-065 Skin temperature difference       K                    TSDIF            0  -9999.00
-!66 to 77 Unused
-078 Total column liquid water         kg m**-2             TCLW             0  -9999.00
-079 Total column ice water            kg m**-2             TCIW             0  -9999.00
-!80 to 120 Experimental products (contents may vary)
-!121 to 124 Unused
-125 Vert. integrated tot. energy      J m**-2              COLENR           0  -9999.00
-126 Param. for sensitive area pred.   -                    SENPRM           0  -9999.00
-127 Atmospheric tide                  -                    AT               0  -9999.00
-128 Budget values                     -                    BV               0  -9999.00
-129 Geopotential                      m**2 s**-2           Z                0  -9999.00
-130 Temperature                       K                    T                0  -9999.00
-131 U velocity                        m s**-1              U                0  -9999.00
-132 V velocity                        m s**-1              V                0  -9999.00
-133 Specific humidity                 kg (H2O) kg**1       Q                0  -9999.00
-134 Surface pressure                  Pa                   SP              -2  -9999.00
-135 Vertical velocity                 Pa s**-1             W               -2  -9999.00
-136 Total column water                kg m**-2             TCW              0  -9999.00
-137 Total column water vapour         kg m**-2             TCWV             0  -9999.00
-138 Vorticity (relative)              s**-1                VO               0  -9999.00
-139 Soil temperature level 1          K                    STL1             0  -9999.00
-140 Soil wetness level 1              m (H2O)              SWL1             0  -9999.00
-141 Snow depth                        m (H2O)              SD               0  -9999.00
-142 Large scale precipitation         m                    LSP              0  -9999.00
-143 Convective precipitation          m                    CP               0  -9999.00
-144 Snowfall (conv. + strat.)         m (H2O)              SF               0  -9999.00
-145 Boundary layer dissipation        W m**-2 s            BLD              0  -9999.00
-146 Surface sensible heat flux        W m**-2 s            SSHF             0  -9999.00
-147 Surface latent heat flux          W m**-2 s            SLHF             0  -9999.00
-148 Charnock                          -                    CHNK             0  -9999.00
-149 Surface net radiation             W m**-2 s            SNR              0  -9999.00
-150 Top net radiation                 W m**-2 s            TNR              0  -9999.00
-151 Mean sea level pressure           Pa                   MSLP             0  -9999.00
-152 Logarithm of surface pressure     ln(Pa)               LNSP             0  -9999.00
-153 Short-wave heating rate           K                    SWHR             0  -9999.00
-154 Long-wave heating rate            K                    LWHR             0  -9999.00
-155 Divergence                        s**-1                D                0  -9999.00
-156 Height                            m                    HGHT             0  -9999.00
-157 Relative humidity                 %                    RELH             0  -9999.00
-158 Tendency of surface pressure      Pa s**-1             PTND            -2  -9999.00
-159 Boundary layer height             m                    ZPBL             0  -9999.00
-160 Standard deviation of orography   m                    SDOR             0  -9999.00
-161 Anisotropy of sub-gridscale oro.  -                    ISOR             0  -9999.00
-162 Angle of sub-gridscale orography  rad                  ANOR             0  -9999.00
-163 Slope of sub-gridscale orography  -                    SLOR             0  -9999.00
-164 Total cloud cover (0-1)           fraction             TCC              0  -9999.00
-165 10 metre U wind component         m s**-1              10U              0  -9999.00
-166 10 metre V wind component         m s**-1              10V              0  -9999.00
-167 2 metre temperature               K                    2T               0  -9999.00
-168 2 metre dewpoint temperature      K                    2D               0  -9999.00
-169 Surface solar radiation downwards W m**-2 s            SSRD             0  -9999.00
-170 Soil temperature level 2          K                    STL2             0  -9999.00
-171 Soil wetness level 2              m (H2O)              SWL2             0  -9999.00
-172 Land-sea mask (0,1)               logical              LSM              0  -9999.00
-173 Surface roughness                 m                    SR               0  -9999.00
-174 Albedo (0-1)                      fraction             ALBD             0  -9999.00
-175 Surface thermal radiation down    W m**-2 s            STRD             0  -9999.00
-176 Surface solar radiation           W m**-2 s            SSR              0  -9999.00
-177 Surface thermal radiation         W m**-2 s            STR              0  -9999.00
-178 Top solar radiation               W m**-2 s            TSR              0  -9999.00
-179 Top thermal radiation             W m**-2 s            TTR              0  -9999.00
-180 East-West surface stress          N m**-2 s            EWSS             0  -9999.00
-181 North-South surface stress        N m**-2 s            NSSS             0  -9999.00
-182 Evaporation                       m (H2O)              EVAP             0  -9999.00
-183 Soil temperature level 3          K                    STL3             0  -9999.00
-184 Soil wetness level 3              m (H2O)              SWL3             0  -9999.00
-185 Convective cloud cover (0-1)      fraction             CCC              0  -9999.00
-186 Low cloud cover (0-1)             fraction             LCC              0  -9999.00
-187 Medium cloud cover (0-1)          fraction             MCC              0  -9999.00
-188 High cloud cover (0-1)            fraction             HCC              0  -9999.00
-189 Sunshine duration                 s                    SUND             0  -9999.00
-190 E-W comp. of subgrid oro. var.    m**2                 EWOV             0  -9999.00
-191 N-S comp. of subgrid oro. var.    m**2                 NSOV             0  -9999.00
-192 NW-SE comp. of subgrid oro. var.  m**2                 NWOV             0  -9999.00
-193 NE-SW comp. of subgrid oro. var.  m**2                 NEOV             0  -9999.00
-194 Brightness temperature            K                    BTMP             0  -9999.00
-195 Lat. comp. of gravity wave stress N m**-2 s            LGWS             0  -9999.00
-196 Mer. comp. of gravity wave stress N m**-2 s            MGWS             0  -9999.00
-197 Gravity wave dissipation          W m**-2 s            GWD              0  -9999.00
-198 Skin reservoir content            m (H2O)              SRC              0  -9999.00
-199 Vegetation fraction (0-1)         fraction             VEG              0  -9999.00
-200 Variance of subgrid orography     m**2                 VSO              0  -9999.00
-201 Max. 2m temp. since post-process. K                    MX2T             0  -9999.00
-202 Min. 2m temp. since post-process. K                    MN2T             0  -9999.00
-203 Ozone mass mixing ratio           kg (O3) kg**-1       OZMR             0  -9999.00
-204 Precipiation analysis weights     -                    PAW              0  -9999.00
-205 Runoff                            m                    RO               0  -9999.00
-206 Total column ozone                kg m**-2             TOZO             0  -9999.00
-207 10 metre wind speed               m s**-1              10SI             0  -9999.00
-208 Top net solar rad., clear sky     W m**-2 s            TSRC             0  -9999.00
-209 Top net thermal rad., clear sky   W m**-2 s            TTRC             0  -9999.00
-210 Surface net solar rad., clear sky W m**-2 s            SSRC             0  -9999.00
-211 Sfc. net thermal rad., clear sky  W m**-2 s            STRC             0  -9999.00
-212 Solar insolation                  W m**-2 s            SI               0  -9999.00
-213 Unused
-214 Diabatic heating by radiation     K                    DHR              0  -9999.00
-215 Diab. heating by vert. diffusion  K                    DHVD             0  -9999.00
-216 Diab. heating by cumulus convec.  K                    DHCC             0  -9999.00
-217 Diab. heating resolved conden.    K                    DHLC             0  -9999.00
-218 Vertical diffusion of zonal wind  m s**-1              VDZW             0  -9999.00
-219 Vertical diffusion of mer.. wind  m s**-1              VDMW             0  -9999.00
-220 E-W gravity wave drag tendency    m s**-1              EWGD             0  -9999.00
-221 N-S gravity wave drag tendency    m s**-1              NSGD             0  -9999.00
-222 Convective tendency of zonal wind m s**-1              CTZW             0  -9999.00
-223 Convective tendency of mer. wind  m s**-1              CTMW             0  -9999.00
-224 Vertical diffusion of humidity    kg (H2O) kg**-1      VDH              0  -9999.00
-225 Humid. tend. by cumulus convec.   kg (H2O) kg**-1      HTCC             0  -9999.00
-226 Humid. tend. by resolved conden.  kg (H2O) kg**-1      HTLC             0  -9999.00
-227 Change from removing neg. humid.  kg (H2O) kg**-1      CRNH             0  -9999.00
-228 Total precipitation               m                    P--M             0  -9999.00
-229 Instantaneous X surface stress    N m**-2              IEWS             0  -9999.00
-230 Instantaneous Y surface stress    N m**-2              INSS             0  -9999.00
-231 Instantaneous surface heat flux   W m**-2              ISHF             0  -9999.00
-232 Instantaneous moisture flux       kg m**-2 s           IE               0  -9999.00
-233 Apparent surface humidity         kg (H2O) kg**-1      ASQ              0  -9999.00
-234 Log of sfc. rough. length (heat)  ln(m)                LSRH             0  -9999.00
-235 Skin temperature                  K                    SKT              0  -9999.00
-236 Soil temperature level 4          K                    STL4             0  -9999.00
-237 Soil wetness level 4              m (H2O)              SWL4             0  -9999.00
-238 Temperature of snow layer         K                    TSN              0  -9999.00
-239 Convective snowfall               m (H2O)              CSF              0  -9999.00
-240 Large-scale snowfall              m (H2O)              LSF              0  -9999.00
-241 Accum. cloud frac. tend. (-1 - 1) fraction             ACF              0  -9999.00
-242 Accum liquid water tend. (-1 - 1) fraction             ALW              0  -9999.00
-243 Forecast albedo (0-1)             fraction             FAL              0  -9999.00
-244 Forecast surface roughness        m                    FSR              0  -9999.00
-245 Fcst. log of src. rough. (heat)   log(m)               FLSR             0  -9999.00
-246 Cloud liquid water content        kg (H2O) kg**-1      CLWC             0  -9999.00
-247 Cloud ice water content           kg kg**-1            CIWC             0  -9999.00
-248 Cloud cover (0-1)                 fraction             CC               0  -9999.00
-249 Accum. ice water tend. (-1 - 1)   fraction             AIW              0  -9999.00
-250 Ice age (1,0) 0-first 1-multi     logical              ICE              0  -9999.00
-251 Adiabatic tendency of temperature K                    ATTE             0  -9999.00
-252 Adiabatic tendency of humidity    kg (H2O) kg**-1      ATHE             0  -9999.00
-253 Adiabatic tendency of zonal wind  m s**-1              ATZE             0  -9999.00
-254 Adiabatic tendency of mer. wind   m s**-1              ATMW             0  -9999.00
-255 Indicates a missing value         -                    MISS             0  -9999.00