Index: tests/NILU/test_Volc/options/SPECIES/SPECIES_101
===================================================================
--- tests/NILU/test_Volc/options/SPECIES/SPECIES_101	(revision ca350ba4de13fd606562e756a077b63ff629a1c3)
+++ tests/NILU/test_Volc/options/SPECIES/SPECIES_101	(revision 7216707682b38039dd4eb283d12ce47f5b1e8502)
@@ -7,15 +7,19 @@
 ASH-101           Tracer name
 -999.9            Species half life
-5.0E-06           Wet deposition - A
-0.62              Wet deposition - B
+1.0               Below-cloud scavenging (gases and particles) - A
+1.0               Below-cloud scavenging (gases and particles)- B
+0.9               In-cloud scavenging (gases and particles) - Ai
+0.1               In-cloud scavenging (gases and particles) - Bi
 -9.9              Dry deposition (gases) - D
 1.0E-09           Dry deposition(gases)-Henrys
                   Dry deposition (gases) - f0
-   2500.000    
-  2.0000000E-07
+2.6E03            Dry deposit (particles)-rho
+4.0E-06           Dry deposition (particles) - dquer
 8.0E-1            Dry deposit (particles)-dsig
 -9.99             Alternative: dry dep vel
 -9.99             molweight
--9.9E-09          OH Reaction rate at 25 deg
+-9.99E-09         OH Reaction rate - C [cm^3/molecule/sec]
+-9.9              OH reaction rate - D [K]
+-9.9              OH Reaction rate - N (no unit)
 -9                number of associated specias
 -99.99            KOA-organic matter air part.
Index: tests/NILU/test_Volc/options/SPECIES/SPECIES_102
===================================================================
--- tests/NILU/test_Volc/options/SPECIES/SPECIES_102	(revision ca350ba4de13fd606562e756a077b63ff629a1c3)
+++ tests/NILU/test_Volc/options/SPECIES/SPECIES_102	(revision 7216707682b38039dd4eb283d12ce47f5b1e8502)
@@ -7,15 +7,19 @@
 ASH-102           Tracer name
 -999.9            Species half life
-5.0E-06           Wet deposition - A
-0.62              Wet deposition - B
+1.0               Below-cloud scavenging (gases and particles) - A
+1.0               Below-cloud scavenging (gases and particles)- B
+0.9               In-cloud scavenging (gases and particles) - Ai
+0.1               In-cloud scavenging (gases and particles) - Bi
 -9.9              Dry deposition (gases) - D
 1.0E-09           Dry deposition(gases)-Henrys
                   Dry deposition (gases) - f0
-   2500.000    
-  6.5000000E-07
+2.6E03            Dry deposit (particles)-rho
+6.0E-06           Dry deposition (particles) - dquer
 8.0E-1            Dry deposit (particles)-dsig
 -9.99             Alternative: dry dep vel
 -9.99             molweight
--9.9E-09          OH Reaction rate at 25 deg
+-9.99E-09         OH Reaction rate - C [cm^3/molecule/sec]
+-9.9              OH reaction rate - D [K]
+-9.9              OH Reaction rate - N (no unit)
 -9                number of associated specias
 -99.99            KOA-organic matter air part.
Index: tests/NILU/test_Volc/options/SPECIES/SPECIES_103
===================================================================
--- tests/NILU/test_Volc/options/SPECIES/SPECIES_103	(revision ca350ba4de13fd606562e756a077b63ff629a1c3)
+++ tests/NILU/test_Volc/options/SPECIES/SPECIES_103	(revision 7216707682b38039dd4eb283d12ce47f5b1e8502)
@@ -7,15 +7,19 @@
 ASH-103           Tracer name
 -999.9            Species half life
-5.0E-06           Wet deposition - A
-0.62              Wet deposition - B
+1.0               Below-cloud scavenging (gases and particles) - A
+1.0               Below-cloud scavenging (gases and particles)- B
+0.9               In-cloud scavenging (gases and particles) - Ai
+0.1               In-cloud scavenging (gases and particles) - Bi
 -9.9              Dry deposition (gases) - D
 1.0E-09           Dry deposition(gases)-Henrys
                   Dry deposition (gases) - f0
-   2500.000    
-  2.0000000E-06
+2.6E03            Dry deposit (particles)-rho
+8.0E-06           Dry deposition (particles) - dquer
 8.0E-1            Dry deposit (particles)-dsig
 -9.99             Alternative: dry dep vel
 -9.99             molweight
--9.9E-09          OH Reaction rate at 25 deg
+-9.99E-09         OH Reaction rate - C [cm^3/molecule/sec]
+-9.9              OH reaction rate - D [K]
+-9.9              OH Reaction rate - N (no unit)
 -9                number of associated specias
 -99.99            KOA-organic matter air part.
Index: tests/NILU/test_Volc/options/SPECIES/SPECIES_104
===================================================================
--- tests/NILU/test_Volc/options/SPECIES/SPECIES_104	(revision ca350ba4de13fd606562e756a077b63ff629a1c3)
+++ tests/NILU/test_Volc/options/SPECIES/SPECIES_104	(revision 7216707682b38039dd4eb283d12ce47f5b1e8502)
@@ -7,15 +7,19 @@
 ASH-104           Tracer name
 -999.9            Species half life
-5.0E-06           Wet deposition - A
-0.62              Wet deposition - B
+1.0               Below-cloud scavenging (gases and particles) - A
+1.0               Below-cloud scavenging (gases and particles)- B
+0.9               In-cloud scavenging (gases and particles) - Ai
+0.1               In-cloud scavenging (gases and particles) - Bi
 -9.9              Dry deposition (gases) - D
 1.0E-09           Dry deposition(gases)-Henrys
                   Dry deposition (gases) - f0
-   2500.000    
-  6.4999999E-06
+2.6E03            Dry deposit (particles)-rho
+10.0E-06          Dry deposition (particles) - dquer
 8.0E-1            Dry deposit (particles)-dsig
 -9.99             Alternative: dry dep vel
 -9.99             molweight
--9.9E-09          OH Reaction rate at 25 deg
+-9.99E-09         OH Reaction rate - C [cm^3/molecule/sec]
+-9.9              OH reaction rate - D [K]
+-9.9              OH Reaction rate - N (no unit)
 -9                number of associated specias
 -99.99            KOA-organic matter air part.
Index: tests/NILU/test_Volc/options/SPECIES/SPECIES_105
===================================================================
--- tests/NILU/test_Volc/options/SPECIES/SPECIES_105	(revision ca350ba4de13fd606562e756a077b63ff629a1c3)
+++ tests/NILU/test_Volc/options/SPECIES/SPECIES_105	(revision 7216707682b38039dd4eb283d12ce47f5b1e8502)
@@ -7,15 +7,19 @@
 ASH-105           Tracer name
 -999.9            Species half life
-5.0E-06           Wet deposition - A
-0.62              Wet deposition - B
+1.0               Below-cloud scavenging (gases and particles) - A
+1.0               Below-cloud scavenging (gases and particles)- B
+0.9               In-cloud scavenging (gases and particles) - Ai
+0.1               In-cloud scavenging (gases and particles) - Bi
 -9.9              Dry deposition (gases) - D
 1.0E-09           Dry deposition(gases)-Henrys
                   Dry deposition (gases) - f0
-   2500.000    
-  1.9999999E-05
+2.6E03            Dry deposit (particles)-rho
+12.0E-06          Dry deposition (particles) - dquer
 8.0E-1            Dry deposit (particles)-dsig
 -9.99             Alternative: dry dep vel
 -9.99             molweight
--9.9E-09          OH Reaction rate at 25 deg
+-9.99E-09         OH Reaction rate - C [cm^3/molecule/sec]
+-9.9              OH reaction rate - D [K]
+-9.9              OH Reaction rate - N (no unit)
 -9                number of associated specias
 -99.99            KOA-organic matter air part.
Index: tests/NILU/test_Volc/options/SPECIES/SPECIES_106
===================================================================
--- tests/NILU/test_Volc/options/SPECIES/SPECIES_106	(revision ca350ba4de13fd606562e756a077b63ff629a1c3)
+++ tests/NILU/test_Volc/options/SPECIES/SPECIES_106	(revision 7216707682b38039dd4eb283d12ce47f5b1e8502)
@@ -7,15 +7,19 @@
 ASH-106           Tracer name
 -999.9            Species half life
-5.0E-06           Wet deposition - A
-0.62              Wet deposition - B
+1.0               Below-cloud scavenging (gases and particles) - A
+1.0               Below-cloud scavenging (gases and particles)- B
+0.9               In-cloud scavenging (gases and particles) - Ai
+0.1               In-cloud scavenging (gases and particles) - Bi
 -9.9              Dry deposition (gases) - D
 1.0E-09           Dry deposition(gases)-Henrys
                   Dry deposition (gases) - f0
-   2500.000    
-  6.5000000E-05
+2.6E03            Dry deposit (particles)-rho
+14.0E-06          Dry deposition (particles) - dquer
 8.0E-1            Dry deposit (particles)-dsig
 -9.99             Alternative: dry dep vel
 -9.99             molweight
--9.9E-09          OH Reaction rate at 25 deg
+-9.99E-09         OH Reaction rate - C [cm^3/molecule/sec]
+-9.9              OH reaction rate - D [K]
+-9.9              OH Reaction rate - N (no unit)
 -9                number of associated specias
 -99.99            KOA-organic matter air part.
Index: tests/NILU/test_Volc/options/SPECIES/SPECIES_107
===================================================================
--- tests/NILU/test_Volc/options/SPECIES/SPECIES_107	(revision 7216707682b38039dd4eb283d12ce47f5b1e8502)
+++ tests/NILU/test_Volc/options/SPECIES/SPECIES_107	(revision 7216707682b38039dd4eb283d12ce47f5b1e8502)
@@ -0,0 +1,25 @@
+*******************************
+*******************************
+*******************************
+*******************************
+*******************************
+*******************************
+ASH-107           Tracer name
+-999.9            Species half life
+1.0               Below-cloud scavenging (gases and particles) - A
+1.0               Below-cloud scavenging (gases and particles)- B
+0.9               In-cloud scavenging (gases and particles) - Ai
+0.1               In-cloud scavenging (gases and particles) - Bi
+-9.9              Dry deposition (gases) - D
+1.0E-09           Dry deposition(gases)-Henrys
+                  Dry deposition (gases) - f0
+2.6E03            Dry deposit (particles)-rho
+16.0E-06          Dry deposition (particles) - dquer
+8.0E-1            Dry deposit (particles)-dsig
+-9.99             Alternative: dry dep vel
+-9.99             molweight
+-9.99E-09         OH Reaction rate - C [cm^3/molecule/sec]
+-9.9              OH reaction rate - D [K]
+-9.9              OH Reaction rate - N (no unit)
+-9                number of associated specias
+-99.99            KOA-organic matter air part.
Index: tests/NILU/test_Volc/options/SPECIES/SPECIES_108
===================================================================
--- tests/NILU/test_Volc/options/SPECIES/SPECIES_108	(revision 7216707682b38039dd4eb283d12ce47f5b1e8502)
+++ tests/NILU/test_Volc/options/SPECIES/SPECIES_108	(revision 7216707682b38039dd4eb283d12ce47f5b1e8502)
@@ -0,0 +1,25 @@
+*******************************
+*******************************
+*******************************
+*******************************
+*******************************
+*******************************
+ASH-108           Tracer name
+-999.9            Species half life
+1.0               Below-cloud scavenging (gases and particles) - A
+1.0               Below-cloud scavenging (gases and particles)- B
+0.9               In-cloud scavenging (gases and particles) - Ai
+0.1               In-cloud scavenging (gases and particles) - Bi
+-9.9              Dry deposition (gases) - D
+1.0E-09           Dry deposition(gases)-Henrys
+                  Dry deposition (gases) - f0
+2.6E03            Dry deposit (particles)-rho
+18.0E-06          Dry deposition (particles) - dquer
+8.0E-1            Dry deposit (particles)-dsig
+-9.99             Alternative: dry dep vel
+-9.99             molweight
+-9.99E-09         OH Reaction rate - C [cm^3/molecule/sec]
+-9.9              OH reaction rate - D [K]
+-9.9              OH Reaction rate - N (no unit)
+-9                number of associated specias
+-99.99            KOA-organic matter air part.
Index: tests/NILU/test_Volc/options/SPECIES/SPECIES_109
===================================================================
--- tests/NILU/test_Volc/options/SPECIES/SPECIES_109	(revision 7216707682b38039dd4eb283d12ce47f5b1e8502)
+++ tests/NILU/test_Volc/options/SPECIES/SPECIES_109	(revision 7216707682b38039dd4eb283d12ce47f5b1e8502)
@@ -0,0 +1,25 @@
+*******************************
+*******************************
+*******************************
+*******************************
+*******************************
+*******************************
+ASH-109           Tracer name
+-999.9            Species half life
+1.0               Below-cloud scavenging (gases and particles) - A
+1.0               Below-cloud scavenging (gases and particles)- B
+0.9               In-cloud scavenging (gases and particles) - Ai
+0.1               In-cloud scavenging (gases and particles) - Bi
+-9.9              Dry deposition (gases) - D
+1.0E-09           Dry deposition(gases)-Henrys
+                  Dry deposition (gases) - f0
+2.6E03            Dry deposit (particles)-rho
+25.0E-06          Dry deposition (particles) - dquer
+8.0E-1            Dry deposit (particles)-dsig
+-9.99             Alternative: dry dep vel
+-9.99             molweight
+-9.99E-09         OH Reaction rate - C [cm^3/molecule/sec]
+-9.9              OH reaction rate - D [K]
+-9.9              OH Reaction rate - N (no unit)
+-9                number of associated specias
+-99.99            KOA-organic matter air part.